Work Package # 45020 (Closed): Content Editing Stability and Features

Status: Closed Priority: Should have
Author: Adrian Föder Category: UI
Created: 2013-02-16 Assigned To: Mattias Nilsson
Updated: 2014-11-02 Due date:
Subject: In Backend, clicking a link should not follow the link
Description

When clicking an editor-created link (in order to change it, for example), the Browser follows this link which makes it impossible to
change the properties, link target etc.

Associated revisions
Revision 1b0ee5c6 - 2013-03-21 15:56 - Mattias Nilsson

[TASK] Disable links in editor generated content

When in backend the inline links in editor generated
content is clickable. This may result in empty
links and disturbs the content editing part.

This disables all inline links inside the class
t3-inline-editable while in backend.

Change-Id: I734a905df66fb409087ce3dbf0b9049f608d1a63
Resolves: #45534

History
#1 - 2013-03-02 08:26 - Mattias Nilsson

Hi Adrian,

Is this still an issue for you? I have tried it with both Firefox and Chrome and can´t reproduce the problem with that the when trying to edit an link, it
sends you to the url. Is it something specific I have to do when editing a link to reproduce it?

#2 - 2013-03-18 13:08 - Mattias Nilsson
- Status changed from New to Accepted
- Assigned To set to Mattias Nilsson

#3 - 2013-03-21 15:54 - Gerrit Code Review

Patch set 1 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/19131

#4 - 2013-03-21 15:56 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/19131

#5 - 2013-03-21 15:57 - Mattias Nilsson
- Status changed from Accepted to Under Review
- % Done changed from 0 to 80

#6 - 2013-03-23 08:58 - Sebastian Kurfuerst
- Status changed from Under Review to Resolved

#7 - 2013-03-26 16:36 - Mattias Nilsson
- % Done changed from 80 to 100

#8 - 2014-11-02 18:22 - Aske Ertmann
- Status changed from Resolved to Closed
